<!DOCTYPE HTML>
<html>
	<head>
		<title>Projects - Shahriar Rivan</title>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no" />
		<link rel="stylesheet" href="main.css" />
		<noscript><link rel="stylesheet" href="noscript.css" /></noscript>
	</head>
	<body class="projectBody" style="background-color: black;">

		<!-- Header -->
			<header id="header">
				
				<a href="index.html" class="title">Shahriar Rivan </a>
				
				<nav>
					
					<ul>
						
						<li><a href="index.html">Home</a></li>
						<li><a href="projects.html" class="active">Projects</a></li>
					    
					</ul>
					
				</nav>
				
			</header>

		<!-- Wrapper -->
		<h1 class="major"></h1>
		<div id="pwrapper">
			<!-- Section -->
			
				<section>
					<header>
						<h2>Projects</h2>
					</header>
					<div class="pcontent">
						<p>I've always been curious about how things function, and as a child, 
							I used to disassemble all of my toys to discover what was inside and 
							sometimes remove the tiny motors to construct tiny fans. After learning
							 how to <strong>code</strong> and use an <strong>Arduino</strong>, 
							 I was able to control every part of my vision and put it into effect.
							  It was then simple for me to <strong>design</strong>, <strong>prototype</strong>, 
							  and refine my own ideas. As a result, I've amassed an abundance of information 
							  about the <strong>hardware</strong>, <strong>software</strong>, 
							  <strong>electrical</strong> and <strong>mechanical</strong> aspects of 
							  technological devices over the years. All of the items I create are conceptualized,
							   assembled, and programmed entirely by me. You may see a few of the most current 
							   concepts that I implemented below.</p>

						<!-- Section -->
							<section id="CarKey">
								<header>
									<h3>CarKey</h3>
									<p>This might be one of my favorite projects i have worked on. using my spare cra key i have  
										createde a device that can press the buttons to remote start the car. Using an Arduino nano as a 
										microcontroller and SIM800l for GSM connection by which i only have to send as specific text message 
										and the text is then verified in the microcontroller to then take an action based on the text. I can lock the 
										car and start the car from anywhere in the world with just a text message. I am also using a Step-Down voltage 
										converter for the arduino and the SIM800L module to use 4.5v from the 9V battery.
										For my next iteration in will get rid of the servos and directly tap into the kehy's circuit and 
										use a SSR to act as buttons.
									</p>
								</header>
								<div class="pcontent">
									<div class="pgallery">
										<a href="images/gallery/fulls/02.jpg"><img src="carkey v2 1.jpg" alt="" /></a>
										<a href="images/gallery/fulls/03.jpg"><img src="carkey v2 2.jpg" alt="" /></a>
										<a href="images/gallery/fulls/03.jpg"><img src="carkey v2 4.jpg" alt="" /></a>
										<a href="images/gallery/fulls/02.jpg"><img src="carkey v2 5.jpg" alt="" /></a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="carkey v2 3.mp4" type="video/mp4">
										    </video>
										</a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="carkey v2 6.mp4" type="video/mp4">
										    </video>
										</a>
										<a href="images/gallery/fulls/02.jpg"><img src="carkey v1 1.jpg" alt="" /></a>
										<a href="images/gallery/fulls/03.jpg"><img src="carkey v1 2.jpg" alt="" /></a>
									</div>
								</div>
							</section>

						<!-- Section -->
							<section id="nfc">
								<header>
									<h3>NFC & MorseCode safe</h3>
									<p>This is a safe that i upgraded with latch-lock and an Arduino NANO as the brain. There are two 
										ways to unlock the safe; 1. Via a button which takes a short press as a Dot and a long press 
									as a Dash and the complete phrase would be a Morse code; 2. Via an NFC tag for which there is a NFR/RFID reader.
								 The safe is battery powered which lasts about 3 months and is rechargable from the outside. </p>
								</header>
								<div class="pcontent">
									<div class="pgallery">
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="NFC lock 1.mp4" type="video/mp4">
										    </video>
										</a>
										<a href="images/gallery/fulls/02.jpg"><img src="NFC lock 2.jpg" alt="" /></a>
										<a href="images/gallery/fulls/02.jpg"><img src="NFC lock 3.jpg" alt="" /></a>
									</div>
								</div>
							</section>

						<!-- Section -->
							<section id="Homekitlock">
								<header>
									<h3>Apple HomeKit smart door lock</h3>
									<p>With the ESP8266 D1 mini i have made a door lock that can be locked or unlocked from anywhere 
										in the world with internet connection. It has a button inside the room that when pressed locks or unlocks 
										the door, it can also be locked or unlocked from the outside by the keypad that's outside the room, which 
										accepts a passowrd to unlock the door and a separate code to lock it. And obviously it can be toggled by the 
										apple device's built in Apple HomeKit.<br>As you can se there are 4 versions so far. With each iteration i have 
										simplified the design and UX as well as the mechanism.
									</p>
								</header>
								<div class="pcontent">
									<p><strong>Version 4</strong></p>
									<div class="pgallery">
										<a href="images/gallery/fulls/02.jpg"><img src="doorlock v4 3.jpg" alt="" /></a>
										<a href="images/gallery/fulls/02.jpg"><img src="doorlock v4 4.jpg" alt="" /></a>
										<a href="images/gallery/fulls/02.jpg"><img src="doorlock v4 5.jpg" alt="" /></a>
										<a href="images/gallery/fulls/02.jpg"><img src="doorlock v4 8.jpg" alt="" /></a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v4 1.mp4" type="video/mp4">
										    </video>
										</a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v4 6.mp4" type="video/mp4">
										    </video>
										</a>
									</div>
									<p><br><br><strong>Version 3</strong></p>
									<div class="pgallery">
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v3 1.mp4" type="video/mp4">
										    </video>
										</a>
									</div>
									<p><br><br><strong>Version 2</strong></p>
									<div class="pgallery">
										<a href="images/gallery/fulls/02.jpg"><img src="doorlock v2 1.jpg" alt="" /></a>
										<a href="images/gallery/fulls/02.jpg"><img src="doorlock v2 4.jpg" alt="" /></a>
										<a href="images/gallery/fulls/02.jpg"><img src="doorlock v2 5.jpg" alt="" /></a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v2 2.mp4" type="video/mp4">
										    </video>
										</a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v2 3.mp4" type="video/mp4">
										    </video>
										</a>
										
									</div>
									<p><br><br><strong>Version 1</strong></p>
									<div class="pgallery">
										<a href="images/gallery/fulls/02.jpg"><img src="doorlock v1 4.jpg" alt="" /></a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v1 1.mp4" type="video/mp4">
										    </video>
										</a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v1 2.mp4" type="video/mp4">
										    </video>
										</a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v1 5.mp4" type="video/mp4">
										    </video>
										</a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v1 6.mp4" type="video/mp4">
										    </video>
										</a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="doorlock v1 7.mp4" type="video/mp4">
										    </video>
										</a>
									</div>
								</div>
								
								
							</section>

							<!-- Section -->
							<section id="btcar">
								<header>
									<h3>Arduino-BlueTooth controlled Car</h3>
									<p>With the colaboration with my UMKC Robotics group friends we made this RC car that's being 
										controlled by two arduinos, one for the receiver and the other for the trasmitter, with the 
										help of HC-05 Bluetooth modules. 
									</p>
								</header>
								<div class="pcontent">
									<div class="pgallery">
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="bt car.mp4" type="video/mp4">
										    </video>
										</a>
									</div>
								</div>
							</section>

							<!-- Section -->
							<section id="portfolio">
								<header>
									<h3>Portfolio Website</h3>
									<p>Well...</p>
								</header>
								<div class="pcontent">
									<div class="pgallery">
										<a href="IMG_6035.jpg" class="landscape"><img src="sponge.PNG" alt="" /></a>
									</div>
								</div>
							</section>

							<!-- Section -->
							<section id="fitnesslog">
								<header>
									<h3>Fitness Log  *In Progress*</h3>
									<p>I workout quite a bit and so i have to track my calories and proteins each day. At the moment 
										i keep a note of it on my phone's notes app and so i decided to work on an iPhone app that does that 
										and much more, it will only take the weight of the individual items i eat and will automatically 
										calculate the amount protein and calories i am getting from it. It will also keep track of which days i've went 
										to the gym and which days i wemnt for a run. It will also be able to analyze the trend advise me any changes based 
										on my past calorie & protein intake and compare it to my weight record.
									</p>
								</header>
								<div class="pcontent">
									<div class="pgallery">
										<a href="images/gallery/fulls/08.jpg" class="portrait"><img src="weekview.jpg" alt="" /></a>
										<a href="images/gallery/fulls/09.jpg" class="portrait"><img src="dayview.jpg" alt="" /></a>
										<a href="images/gallery/fulls/10.jpg" class="landscape"><img src="logview.jpg" alt="" /></a>
										<a class="portrait">
											<video width="320" height="320" controls>
											<source src="logapp.MP4" type="video/mp4">
										    </video>
										</a>
										
										
									</div>
								</div>
							</section>

					</div>
				</section>

			<!-- Section -->
				
					
						

			<!-- Copyright -->
				

		</div>

	


			

		<!-- Footer -->
			<footer id="footer" class="wrapper alt">
				<div class="inner">
					<ul class="menu">
						<li>&copy; Shahriar Rivan 2023.</li>
					</ul>
				</div>
			</footer>

			<!-- Scripts -->
		<script src="assets/js/jquery.min.js"></script>
		<script src="assets/js/jquery.scrolly.min.js"></script>
		<script src="assets/js/browser.min.js"></script>
		<script src="assets/js/breakpoints.min.js"></script>
		<script src="assets/js/util.js"></script>
		<script src="assets/js/main.js"></script>

	</body>
</html>